All changes leading to 3.7.x series.
All changes leading to 3.6.x series.
- Correct the missing texts in bitmap exportations.
- Modify preview loading in open dialog to avoid grabbing of current file in case of long loading times.
- Correct the id of nodes in measurement history and restrain to 6 values only.
- Correct the not working spin modulus scaling.
- Upgrade ABINIT plug-in for version 6.8.x.
- Correct a crashing bug after several reload of a file with measurements when changing the colour.
- Correct a memory corruption in the distance curve widget.
- Make the drag action work again.
- Correct pair build when using translations on command line.
- Correct browser exportation of multi dataset files.
- Correct the exportation crash with ATI proprietary drivers.
- Correct crashes when using the play button in the isosurface panel.
- Remove warning in recent Ubuntu, complaining about missing Hevetica font.
- Display coordinates either in cartesian or reduced (see the configure panel).
- Keep zoom adjustment between two files of different box size (see option in the geometry panel).
- Modify the coloured map rendering to use adaptive mesh. The legend displays also the isoline values.
- Add keybindings for the camera settings in the rendering window.
- Add partial support for densities in XSF file format.
- Add an exportation in ABINIT file format for the crystal part.
- Add a transparency option for the coloured maps.
- Begin to implement a support of GObject-Introspection, to allow scripting (Python, Javascript, ...).
- The ABINIT interactive dialog now support different tolsym values and output the list of symmetries with their names.
- Add a progress bar for file loading when the loading is too long. Add also the possibility to abort loading process.
- V_Sim respects now the icon theme specification of FreeDesktop.
- Demonstrate the Python scripting with the implementation of CNT file format of VASP.
- Add keybindings for the rendering area (save, reload and open).
- Add the possibility to export to any OpenBabel fileformats in command-line.
- Modify the pair drawing to be able to use a per pair drawing method. Now, cylinder and wire pairs are available at the same time.
- Add a calculation of g(r) and add a tab in the pair dialog to display it. Linear or log scale are available and filtering between kind of neighbours is also possible.
- Sort pairs by distance.
- Export a geometry difference in ASCII files as a keyword.
- Add a keyword in ASCII files to store the total energy value of a system. This energy can be used to colourise paths.
- Expand the XML file format generated by V_Sim to store the paths.
- Use nicer message in the file browser when the loading is too long.
- Add a command-line option to clamp coloured map values.
- Add a full vectorial PDF export with Cairo.
- Add the fog support in exportation in vectorial formats.
- Add data colourisation support in exportation in vectorial formats.
- Add a resource for the radius of the highlight mark.
- Implement a legend showing the box lengths.
- Implement an exportation in CIF (from OpenBabel) file format.
- Implement a way to add two surfaces in one click, with good ressources for scalar fileds describing a wavefunction.
- Remove the deprecated GTK curve in the pair dialog and replace it with the combobox for shades.
- Add a path drawing tool.
- Rename the panel "box" to "geometry" and store all geometry-related functions there, i.e. translation, expansion, units, paths...
All changes leading to 3.5.x series.
- Correct a bug after changing the basis set with the upper limit of node id selectors.
- Correct the position of the atom in case of spin rendering.
- Correct compilation issues with GCC >= 4.4 (thanks to Thierry Thomas for his patch).
- Correct a crashing bug in cube file format, when loading a file with a wrong atomic number.
- Correct missing information on nodes after an image dump.
- Correct a mistake in the legend when loading a new file with a varying number of nodes per element.
- Correct a crash with the command line exportation.
- Correct a wrong sort in the browser panel for multiset files.
- Improve the output of the changelog in the about dialog window.
- Correct mispositioned atoms in case of non-orthorhombic boxes in XSF files.
- Add the reduced coordinates in case of peridic XYZ files.
- Give a good position to the duplicated atoms for free BC.
- Correct a blocking loop in the export dialog in case of wrong type detection.
- Correctly associate colorisation to nodes in case of not sorted node in input file.
- Correct several warnings, for the color selector widget, the rendering of text in the OpenGL area or the loading of XML value file.
- Correct a wrong exportation of wire width greater than 10.
- Avoid useless dialog when loading a value file with partial data.
- Correct a masking bug for surfaces when the plane usage is unchecked.
- Allow to parse XYZ files with additionnal columns different from a vibration file.
- Correct a bug not showing the warning dialog box in case of error when exporting in image.
- Correct a bug affecting the positions of atoms in Cube files when boxes are non-orthorombic.
- Correct a crashing bug when pressing 'r' key without any saved camera.
- Correct a bug for non orthorombic boxes using OpenBabel plug-in, thanks to patch sent by Atz Togo.
- Correct a bug in ASCII file parsing when the files come from Macintosh or Windows.
- Make the 'open with' action works under Windows.
- Add a support for angles in the XML value files.
- The tooltips in the browser now show the name of previous and next directories.
- Draw a legend in SVG dump.
- Add a way to change the basis set by pointing nodes as new vertices.
- Declare in the resource file all parameters for the geometry diff (shape and size of the arrows, thresholds...).
- Take into acount the boundary conditions when choosing the "up" direction. In case of surface, the y axis becomes the up axis.
- Add a tab in the interactive dialog to show symmetry information, as calculated by ABINIT (space group, equivalent atoms...).
- Add a key shortcut to switch between windows, mapped on "home" key.
- Correct the visuals glitches when drawing cylindrical pairs.
- Add phonons to ASCII file format.
- Implement the phonon properties for solid, taking into account the imaginary parts of displacements and the q.r phase shift.
- Add a clickable icon in the rendering window to access the saved cameras.
- Implement a visualisation for the difference in positions using small arrows on nodes.
- Add a phonon representation with vibration or arrows.
- Add labels to nodes. These labels can be rendered as for the type or the node id for instance. They can be modified in the interactive dialog.
- Implement the colourisation according to the coordinates.
- Add a visualisation for the angles.
- Add the support for labels for nodes in ASCII files.
- Add a boundary condition keyword for ASCII files.
- Parse a phonon column in the XYZ files.
- Add 'previous' and 'next' buttons into the browser.
- Add a tab for the phonon representation, listing available modes and displaying some parameters.
- Modify the pick mouse buttons to easily access the measuring tool. Add also some button in the rendering window to set or unset measurements.
- Add a scaling factor as post-process for the colourise tab.
- Implement a legend displaying a frame with the atom names, number and representation.
- Add a torus representation, in addition to existing ellipsoid and so on.
- Add a hiding capability to the highlighted nodes.
- Implement the support for several coloured maps.
- Make the edges of the map planes smooth and highlight with a black line.
- Add a drag and drop capability for file loading on the OpenGL area.
- Modify the ASCII format to allow reduced coordinates and box definition based on vector lengths and angles.
- Create a PDF/SVG exportation for the coloured maps.
- Change the keys 's' and 'r' as a ring to save and restore the camera position, instead of saving only one value.
- Add an exportation to XYZ file format.
- Implement in the box subpanel a way to quickly switch distances between common units (bohr, angstroems...).
- In the geometry modification panel, add a duplication possibility for the listed nodes.
- Start the implementation of Python bindings for V_Sim. It is possible to open a rendering window and to load a file in it. It is also psossible to create a VisuData from scratch, creating elements and nodes by hand. The planes capability has also been ported to Python.
- Code a plug-in for cube file support, commonly used by SIESTA and introduced by Gaussian.
- Suppress the "highlight" tab in the interactive dialog. Move this capability to the pick tab using the control key to toggle highlight. Rework the relations between highlighted nodes and selected nodes. The highlight status can be changed in the listed nodes.
- Add a column to print the date of files in the browser.
- Extend the XML plane file to support various value fields in V_Sim. It is possible now to store in this XML file, the picked distances, the highlighted nodes, the values of created iso-surfaces.
- Add the support for D3 posi files (concatenation of D3 files, adapted for movies).
- Add non linear shades, logarithmic scale for zero-centred data and add the possibility to choose the isoline colour.
- Reorganise a bit the pair dialog layout (the filter is now over the treeview and the management of links has been moved on the right).
All changes leading to 3.4.x series.
- Correct the not working -d command line option when used in conjonction of the -u option.
- Correct different memory leaks in the reading of input files or in the drawing routines.
- Make the 'r' and 's' keys work again after the opening of a dialog from the rendering window.
- Correct a crashing bug when nodes with persistent distances are removed.
- Correct the automatic reload function that was broken in 3.4 series.
- Correct wrong pathes in the browser when UTF8 characters are used.
- Correct a jump of the camera in the interactive session when leaving pick mode with a right click and a drag.
- Stop the interactive session also when the interactive dialog is closed by the window manager.
- Disconnect signals for orientation chooser when the dialog is destroyed..
- Solve a loading problem when using the filechooser in spin mode.
- Correct a lack of cylinder pair drawing under specific conditions.
- Correct some "assertion fails" error when loading new files.
- Make the behaviour of "all elements" selection in the element tab works for atomic parameters in spin rendering.
- Correct the tab character problem in ASCII files.
- Correct a bug in the pair dialog when the sort is used. Modifications in the treeview are then inconsistent.
- Correct a bug that makes the rendering disappear in the walker mode.
- Correct a bug when expanding the nodes that could create several nodes at one place.
- Correct a bug when the selection is zero pixel wide.
- Correct a bug in the move interactive dialog that prints a wrong number of selected nodes.
- Correct the error while reading the resources of cylinder pairs with the minimum value.
- Add the missing exportation of the stipple pattern for the wire pairs.
- Correct several Critical Warnings in drawDataOnNode() in the interactive dialog window.
- Correct a crash in the interactive window when the current VisuData is deleted.
- Correct wrong permissions on the directory created in the quit dialog.
- Correct a bug in the subpanel menu.
- Change the way to find a module name from its file name.
- Correct a linking problem with variable in .h on MacOS.
- Avoid V_Sim crash when a pixmap exportation is required on X server using AIGLX and a version of GLX prior to 1.3.
- 3.4.0.1: correct a segfault in the Abinit plugin.
- 3.4.0.2: correct a possible segfault when a VisuData object is freed.
- 3.4.0.2: add an XML filter to the plane file dialog.
- 3.4.0.2: correct a bug in the colour selection of surfaces.
- 3.4.0.2: import the debian directory from official repository and update it for 3.4.0 (made for 3.3.3 by Debian).
- 3.4.0.3: change the location of legal dir to data dir.
- 3.4.0.3: only install the plugins related files when plugins are compiled. Also move the images to the pixmap dir.
- Add the axes in the SVG output.
- Correct bugs (preview widget, ABINIT bindings) and complete translation.
- Add the capability to draw bitmap pictures on the background.
- Change the zoom behaviour to none when the box is expanded.
- Add a rectangular selection in the pick window and enable group moving in the move window.
- Add iso-lines for the coloured map.
- Add the support of vectors (for forces or spin) in the XSF plug-in.
- Add a possibility to link with the ABINIT parser to read its input file. This depends on modifications not yet in ABINIT official releases. They may enter in ABINIT 5.6 series. The data sets are supported and when the geometry builder is used, the created box is shown. Current limitation is when nband must be computed since no pseudo-potential files are loaded and thus nelect is not known.
- Add a tool to automatically compute range distance for first neighbours.
- Implement the possibility to draw pattern wires for pairs and box.
- Early implementation of a plug-in adding XSF reading capabilities. Atomic positions are only available yet.
- The coloured map can now be drawn in logarithmic scale.
- The XYZ parser has been modified to allow to read animation files. The browser panel has been modified accordingly to show the different node sets in one file.
- Activate once again the stereo rendering (was disabled from version 3.0.0 because of lack of hardware for testing). The stereo parameters, like the eyes distance, can be tuned in the OpenGL panel.
- Add keyboard support in the rendering window in observe mode. Page-Up and Page-Down keys are used for zoom and perspective. Also add the 's' key for 'save current camera position'. Key 'r' is now used to restore this saved position.
- Add the possibility of a non-uniform mesh for the scalar-field representation.
- Basic support for SVG exportation of box and nodes.
- Allow changes of coordinates in the pick table (as for spin characteristics or colour data). Add a possibility to write information on selected or all nodes.
- Better integration of OpenBabel library, with the use of the atom symbol instead of the atom labels, also use the OpenBabel colour and radius when the atom is not known by V_Sim. Try to reproduce as much as possible the handling of pairs as described in the OpenBabel input files.
- Add a filter in the pairs dialog to show only pairs of interest (i.e. pairs containing one given element).
- Implement a way to duplicate the box following a fractional ratio in the case of periodic boxes. Adapt all capabilities to take that extension into account (extend planes and coloured maps, duplicate colourisation data, draw box extension...).
- Separate the box & axes subpanel into two subpanels and move the translations from the interactive window to the new box subpanel. Also add in this subpanel the gestion of box duplication.
- Enable the box duplication on command-line and also the coloured map.
- Modify the geometry tab in the interactive window to allow to add or remove nodes.
- Add a support for GtkGlExt as an alternative to the built-in OpenGL widget.
- Add a preview in the open dialog box, displaying the box and the elements with the current camera position.
- Implement the 'smooth and edge' rendering mode, displaying a line around polygons.
- Make the hiding of surfaces by planes smooth, adding polygons to avoid edgy borders.
- Improve the parse speed of the browser and add a multiple matching for rendering method with several type files (spin and positions can be loaded in one clic).
- Use the XDG specification for the location of the home config directory. The old $HOME/.v_sim is still supported.
- Change the surface resources in the panel: each surfaces can has a name or not. In the latter case, the resources of the surface are private to this surface (all changes do not affect the other surfaces). Merge the two property dialogs into one (previously change current and change all). Add a special add button in the panel to add several surfaces at once (use the same than in the build dialog). Make the remove button remove all surfaces of a scalar field file before removing the file itself.
- Implement the masking effect of planes on surfaces with a simple implementation (not smooth borders).
- Make the masking effect of planes selective per surface or per element (see the new masking column in surface panel and the check box in the element panel).
- Add a capability to print all distance of a pair (see the pair dialog and the 'length column). Distance values are now editable in the treeview.
- Add an option in the browser panel to read the directories recursively. Also makes the double-click check the file entry in the list and implement the capability to browse several directories at one time.
- Add a new widget to choose the orientation, using an orthogonal basis set, the box coordinates or the spherical basis set.
All changes leading to 3.3.x series.
- Correct the implementation of the translation inside windows with a non-unitary ratio aspect.
- Correct a memory leak during image exportation with the XLib.
- Correct a memory leak in the save dialog window.
- Add a man page.
- Use a correct format for the v_sim.ini file in Windows.
- Correct a bug making D3 file read impossible on Windows.
- Correct a bug when selected the root directory.
- Correct a crashing bug on MacOSX and Intel cards on Linux.
- Make the normalisation of the colorisation stay during automatic reloading.
- Correct a bug in the coordinate conversion for non-orthogonal boxes (both in structure and scalar field).
- Correct a bug in D3 file parsing.
- Correct an internal error dealing with to much signal connection to the VisuData objects.
- Add a rendering shape as points for atoms to be able to plot grid position or to increase speed when a huge quantities of elements is drawn.
- Implement a binary format for the spin rendering.
- Some improvements in windows handling: it is possible to raise the command panel from the rendering window for instance.
- Small improvements and redesign in the save parameters and resources window: it is possible to export resources related to rendered object only.
- End of implemntation of separable subpanels. Their size and positions are now changeable and can be exported to the parameter file.
- Upgrade the build system to be able to build plugins for Windows.
- Change the transparency handling of isosurfaces to avoid to compute the order of them when the camera is moving.
- Several bug corrections, including error on reading resources related to isosurfaces, wrong computation of normal vector of isosurfaces, automatic reload of file...
- Improvements done on the gestion of the properties of isosurfaces. Names are editable and can be passed on command line when option -v is used. Change also the behavior of selecting buttons in that subpanel to be able to change properties of all surfaces of one unique file.
- Save in the plane file in XML the rendering state of each plane.
- Upgrade translation file for future version 3.3.
- Implementation for the reading of scalar fields encoding with the Nanoquanta specification v1.3. Only real scalar fields (i.e. densities) without spin informations are currently supported. From this point basic support for specification v1.3 is operational.
- Addition of a subpanel to draw colored planes representing the variations of a given scalar field. A colored scale is also available.
- Density files and surface files can be automatically loaded and all drawing capabilities are available from the command line.
- Colors and material values are more coherent between elements and surfaces.
- Commandline capabilities for new fonctionalities associated to iso-surfaces.
- Support of density/potential files directly in the isosurfaces panel, without need to use the convert tool. Implementation also of the merge of several surfaces directly in this panel.
- Adding remove and add of surfaces on the fly in the isosurfaces panel. The add action is available only for density/potential files.
- Complete support for detaching panels and associate them in several dialogs.
- Implementation of the modulus handling in spin rendering. Spin shapes can be scaled according to the modulus read in the spin input file.
- Total implementation of OpenBabel support. All format readable with OpenBabel are loadable in V_Sim.
- Creation of a tool to retrieve values attached to nodes, such as colorisation informations or orientation and modulus for spin rendering. In this former rendering mode, these value are editable on the fly.
- Some changements in the saving of resources of spin rendering. It is recommended to overwrite resources files since three keywords are now obsolete.
- Some interface enhancements.
- Adding a basic support for plugins. Shared libraries that matched the interfaces required by V_Sim located in the installation directory and in the user one (${HOME}/.v_sim) are automatically loaded on startup.
- Partial implemntation of NANOQUANTA v1.2 specifications for atomic positions (plugin).
- Usage of OpenBabel library for file loading (plugin), but nothing is actually functional.
- Basic fuunctionnality to detach tabs from the command panel.
- Creation of a simple OpenGL widget to avoid the hack used since v3.0 version to render OpenGL surfaces. Doing it, the backing store support has been removed and replaced by a complete gestion of the 'expose' events.
- Improvements in the spin rendering mode where it is now possible to choose between, always spin, hide spin with a null modulus or draw atomic shapes instead.
- Support of the atomic rendering within the spin one.
- Addition of an elipsoid shape for both spin and atomic rendering.
- Support for distance measurements in the default mode (restricted before to the pick / observe window).
All changes leading to 3.2.x series.
- Correct a reading bug in the convert dialog for isosurfaces, when a potential/density file is read.
- Correct a crashing bug using box and axes when no file is rendered.
- Correct a crashing bug in the isosurface panel, when playing a list with only one entry.
- Correct a crashing bug in the colorization panel.
- Correct a bug with 64bits machines that disables the camera rotation in the observe window.
- Correct a mispel in the French translation.
- A warning message dialog has been added when the quit button is clicked. This message is optional and can be hidden with a key in the config file named 'v_sim.par' or by checking a button in this window.
- Adding a functionnality to save or open informations about planes. The data type used is simple XML. The geometry, the hidden state and the color of each plane are stored. Only the drawn options is not saved.
- Implement the constrained movements along x, y and z axis in the geometry builder.
- Choose automatically the action associated to a tab when one is selected in the interactive window.
- Implementing a new action to move the nodes. Using drag and drop, it is possible to move nodes in the plane of the screen.
- Adding a ascii export with the option to output or not hidden nodes.
- A new tab has been added in the planes subpanel to allow to change automatically the distance from origin (as it is done in the browser subpanel to chow several files one after an other).
- Creating a new action to mark atoms. It draws some frame around clicked nodes to easily follow some.
- Internal modifications to suppress global pointers (especially in opengl.c and visu_data.c).
- VisuData is switched to a GObject and signals about OpenGL, Nodes and Elements are moved from visu_object to it.
- Through the selection dialog, distances that are picked are label on screen and stay printed as long as required.
- Add a possibility to hide some nodes in the colorization subpanel, depending on values in the associated data file.
- Enable the choice of rendering mode per drawn elements, e.g. atoms are drawn smoothly wereas isosurfaces are rendered through wireframe (requires GTK+2.6).
- Add a custom value to tune the power of used lights and two preset values for lights : one with the defaukt light and another with four lights, customized for spin rendering.
- Adding a cycling mode in the browser. It is now possible to cycle once, to go on and back and still the classic cycle in loop.
- Rebuild of the configuration files dialog: switching to GtkComboBoxes and adding auto-completion.
- Improve French translation.
- Extend minimal pick behavior (i.e. default mode) to allow distance measurements.
- In pick/observe session, the little marks that identify references in pick mode, are now persistant during observe mode until the pick/observe session is closed.
- Correct bugs 2 and 75.
- The X11 backend mixed with the GTK interface is not supported anymore.
- Modify the main interface : buttons related to the rendered file moved to the bottom bar on the rendering window.
- Switch to a GtkComboBox for the list to select subpanel.
- Update French translation.
- Adding a status bar in the rendering window. This allows to show some basic informations as the description of the rendered file, the number of drawn nodes... This is only working if the rendering backend of this window is GTK (not X11).
- Adding a minimal pick function on the third button as a default mode.
- GUI improvements in the browser sub-panel and display of currently browse directory.
- Adding JPG and PNG export image format, using GdkPixbuf.
- GUI changings of the dump dialog to allow to tune some parameters for different file formats (e.g. the compression ratio in JPEG format). Adding the possibility to choose the export size for images and to add automatically the file extension if not is specified.
- Changing default behavior (previously no action) to observe mode.
- Adding a check box in the dataFile sub-panel to automatically load data file with the same name than the one of the rendered file.
- Adding some preset shades in the dataFile sub-panel.
- Allowing the possibility to use dataFile methods through the command line.
- Displaying the color scale (in the dataFile sub-panel) even when several channels are changing if only one column is read.
- Adding the choice of masquing algorithm in the plane sub-panel (using union or intersection).
- Adding the possibility to specify in the command line some box translation.
Not translated in english.
Not translated in english.